GatewayWorker升级问题

牛牛小宝

您好,我是在windows环境下使用。由于最近需要用到Gateway::getSession方法,所以想把GatewayWorker升级一下。
现在用的GatewayWorker是2.0.3,里面带的Workerman是3.2.5,升级的话,我看了下需要修改Event.php为Events.php,修改Gateway::getClientInfoByGroup更名为Gateway::getClientSessionsByGroup, Gateway::getALLClientInfo更名为Gateway::getAllClientSessions。
别的还有需要修改注意的么?
如果我只覆盖GatewayWorker目录,不升级Workerman可否?
GatewayWorker是不是不区分windows、Linux版本,只有Workerman才区分呢?

2439 1 0
1个回答

walkor

注意事项参考主页最近更新日志就行。
gatewayWorker 和workerman都要升级。
是的,GatewayWorker不区分linux windows版本,只有workerman区分

  • 暂无评论
年代过于久远,无法发表回答
🔝